### Constructor

# Dex Future new_reject

#### Declaration [src]

    DexFuture*
    dex_future_new_reject (
      GQuark domain,
      int error_code,
      const char* format,
      ...
    )

#### Description [src]

Creates a new `DexFuture` that is rejeced.

This method is not directly available to language bindings.

#### Parameters

`domain`

  Type: `GQuark`

  The error domain.

`error_code`

  Type: `int`

  The error code.

`format`

  Type: `const char*`

  A printf-style format string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  No description available.

#### Return value

Type: `DexFuture`

A new `DexFuture`.

The caller of the function takes ownership of the data, and is responsible for freeing it.